$fn=50;

module brims(distance) {
  for (x = [distance, -distance]) {
    for (y = [distance, -distance]) {
      translate([x-sign(x)*0.5,y-sign(y)*0.5,-6.25]) cylinder(r=9,h=0.25);
    }
  }
}

module cornerpost(x,y) {
  difference() {
		translate([x,y,0]) minkowski() {
      cube([2,2,20],center=true);
      cylinder(r=1.4,h=1);
    }
		translate([x-sign(x)*0.5,y-sign(y)*0.5,-3])	cylinder(r=1,h=20);
	}
}

module cornerposts(distance) {
  for (x = [distance, -distance]) {
    for (y = [distance, -distance]) {
      cornerpost(x,y);
    }
  }
}

union() {
  difference() {
      //main body of box
      minkowski() {
        cube([103.5,103.5,23],center=true);
        cylinder(r=2,h=1);
      }

      cube([92,92,30],center=true);		

      translate([0,0,1.5]) cube([101,101,23],center=true);// remove material

      // hole for cable
      translate([0,-50,-5]) cube([14,16,9],center=true);
    }
		cornerposts(50);
    //brims(54);
}
